﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Text;
using System.Windows.Forms;
using System.Windows.Media.Imaging;
using System.IO;

using System.Windows.Markup;

using  Autodesk.Revit .DB;
using Autodesk.Revit.UI;
using Autodesk.Revit .ApplicationServices;
using Autodesk.Revit.Attributes ;


[TransactionAttribute(Autodesk.Revit.Attributes.TransactionMode.Manual)]

public class CreateAButton : IExternalApplication
{
  
  public Result OnStartup(UIControlledApplication application)
  {
    RibbonPanel panel = application.CreateRibbonPanel("ADN class");
    PushButtonData data = new PushButtonData("UniqueName", "Property", @"C:\yejo\Revit\SDK\Revit 2013\RevitLookup\CS\bin\Debug\RevitLookup.dll",
      "RevitLoopup.CmdSnoopModScope");
    PushButton button = panel.AddItem(data) as PushButton;
    button.ToolTip = "See Selected Element";
    button.LongDescription = "Long description for this button";
    button.LargeImage = GetBitmapImage("c:\\ButtonIcon.png");

    return Result.Succeeded;
  }

  public Result OnShutdown(UIControlledApplication application)
  {
    return Result.Succeeded;
  }

  public BitmapImage GetBitmapImage(string imageName)
  {
    return new BitmapImage(new Uri(
     imageName));
  }
}


/*
    application.CreateRibbonTab("MyTab");
    application.CreateRibbonPanel(Tab.Analyze, "MyPanel");
    application.CreateRibbonPanel(Tab.AddIns, "myPanel2");


    RibbonPanel panel = application.CreateRibbonPanel("MyTab","ADN Class");
    PushButtonData data = new PushButtonData("UniqueName", "Property", 
@"C:\yejo\Revit\SDK\Revit 2013\RevitLookup\CS\bin\Debug\RevitLookup.dll",
        "RevitLookup.CmdSnoopModScope");
    PushButton button = panel.AddItem(data) as PushButton;
    button.ToolTip = "See selected Element";
    button.LongDescription = "This button created for the demo of creating the Ribbon control";
    button.LargeImage = GetBitmapImage("C:\\ButtonIcon.png");
*/
/*
    RibbonPanel panel = application.CreateRibbonPanel("ADN Class");
    PushButtonData data = new PushButtonData("UniqueName","Property", 
        @"C:\yejo\Revit\SDK\Revit 2013\RevitLookup\CS\bin\Debug\RevitLookup.dll",
        "RevitLookup.CmdSnoopModScope");
    PushButton button = panel.AddItem(data) as PushButton; 
    button.ToolTip = "See Selected Element";
    button.LongDescription = "This button created for the demo of creating the Ribbon control";
    button.LargeImage = GetBitmapImage("c:\\ButtonIcon.png");

 */