﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Text;
using System.Windows.Forms;
using System.Windows.Media.Imaging;

using System.IO;

using System.Windows.Markup;

using  Autodesk.Revit .DB;
using Autodesk.Revit.UI;
using Autodesk.Revit .ApplicationServices;
using Autodesk.Revit.Attributes ;


 [TransactionAttribute(Autodesk.Revit.Attributes.TransactionMode.Manual)]

public class CreateAButton : IExternalApplication
{
  
  public Result OnStartup(UIControlledApplication application)
  {

    string myTab = "MyCommandTab";
    application.CreateRibbonTab(myTab);

    application.CreateRibbonPanel(Tab.AddIns, "MyPanel1");
    application.CreateRibbonPanel(Tab.Analyze, "MyPanel2");
    application.CreateRibbonPanel(myTab, "MyPanel3");

    RibbonPanel panel = application.CreateRibbonPanel("ADN Class");
    PushButtonData data = new PushButtonData("UniqueName","Property", 
        @"C:\yejo\Revit\SDK\Revit 2013\RevitLookup\CS\bin\Debug\RevitLookup.dll",
        "RevitLookup.CmdSnoopModScope");
    PushButton button = panel.AddItem(data) as PushButton; 
    button.ToolTip = "See Selected Element";
    button.LongDescription = 
      "This button created for the demo of creating the Ribbon control";
    button.LargeImage = GetBitmapImage("c:\\ButtonIcon.png");

    return Result.Succeeded;
  }

  public Result OnShutdown(UIControlledApplication application)
  {

    return Result.Succeeded;


  }

  public BitmapImage GetBitmapImage(string imageName)
  {
    return new BitmapImage(new Uri(
     imageName));
  }
}


 