﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Autodesk.Revit.DB;

using IFCExporterUILocal.Properties;

namespace BIM.IFC.Export.UI
{
    public class IFCVersionAttributes
    {
        public IFCVersion Version { get; set; }
        public IFCVersionAttributes(IFCVersion version)
        {
            Version = version;
        }

        public override String ToString()
        {
            switch (Version)
            {
                case IFCVersion.IFC2x2:
                    return Resources.IFCVersion2x2;
                case IFCVersion.IFC2x3:
                    return Resources.IFCVersion2x3;
                case IFCVersion.IFC2x3CV2:
                    return Resources.IFCMVD2x3V2;
                case IFCVersion.IFCBCA:
                    return Resources.IFCMVDBCA;
                case IFCVersion.IFCCOBIE:
                    return Resources.IFCMVDGSA;
                default:
                    return Resources.IFCVersionUnrecognized;
            }
        }
    }
}
