﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BIM.IFC.Export.UI;
using Autodesk.Revit.UI;

namespace AddInIntegrationSample
{
    public enum ApplicationAvailablity
    {
        Always,
        ArchitectureDiscipline,
        StructuralAnalysis,
        MEP
    }
    public class ApplicationOptions
    {

        public bool OverrideIFC { get; set; }

        public ApplicationAvailablity Availability { get; set; }

        public void UpdateOverride()
        {
            if (m_ifcOverride == null)
                m_ifcOverride = new IFCCommandOverrideApplication();

            if (OverrideIFC)
            {
                m_ifcOverride.AddOverride(m_eApplication.UIControlledApplication);
            }
            else
            {
                m_ifcOverride.RemoveOverride(m_eApplication.UIControlledApplication);
            }
        }

        public static void Initialize(EApplication application)
        {
            s_options = new ApplicationOptions();
            s_options.m_eApplication = application;
            s_options.UpdateOverride();
        }

        public static ApplicationOptions Get()
        {
            if (s_options == null)
                throw new Exception("Static options was not initialized");

            return s_options;
        }

        private static ApplicationOptions s_options = null;
        private EApplication m_eApplication;
        private IFCCommandOverrideApplication m_ifcOverride = null;

        private ApplicationOptions()
        {
            OverrideIFC = true;
            Availability = ApplicationAvailablity.Always;
        }
    }
}
