﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Autodesk.Revit.DB;
using Autodesk.Revit.UI;
using RApplication = Autodesk.Revit.ApplicationServices.Application;


namespace AddInIntegrationSample
{
   [Autodesk.Revit.Attributes.Transaction(Autodesk.Revit.Attributes.TransactionMode.Manual)]
   public class PreviewCommand : IExternalCommand
   {
      public Result Execute(ExternalCommandData commandData, ref string message, ElementSet elements)
      {
         _dbdocument = commandData.Application.ActiveUIDocument.Document;


         TransactionGroup outerGroup = new TransactionGroup(_dbdocument, "preview control");
         outerGroup.Start();

         try
         {
            PreviewModel form = new PreviewModel(commandData.Application.Application, new ElementId(-1));
            form.ShowDialog();
         }
         catch (Exception e)
         {
            throw e;
         }
         finally
         {
            outerGroup.RollBack();
         }

         return Result.Succeeded;
      }


      private Document _dbdocument = null;
   }

}
